Get Zone SOA
curl -X GET "https://api.5centscdn.com/v2/dns/example_string/soa" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/dns/example_string/soa"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/dns/example_string/soa", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/dns/example_string/soa", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/dns/example_string/soa')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"data": {
"serialNumber": "2026010100",
"primaryNS": "ns1.example-dns.com",
"adminMail": "admin@example.com",
"refresh": "7200",
"retry": "1800",
"expire": "1209600",
"defaultTTL": "3600"
}
}
GET
/dns/{dnsId}/soaGET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Responses
dataobject
SOA (Start of Authority) record data for the zone.
serialNumberstring
SOA serial number used for zone change tracking.
primaryNSstring
Primary nameserver hostname for the zone.
adminMailstring
Administrator email address for the DNS zone.
refreshstring
Zone refresh interval in seconds.
retrystring
Retry interval in seconds after a failed zone refresh.
expirestring
Expiry time in seconds for secondary zone data.
defaultTTLstring
Default TTL in seconds for records without an explicit TTL.
Was this page helpful?